SoVRMLInterpolator(3)

NAME
SoVRMLInterpolator - The SoVRMLInterpolator class is an internal abstract class.

SYNOPSIS

#include <Inventor/VRMLnodes/SoVRMLInterpolator.h>

Inherits SoNodeEngine.

Inherited by SoVRMLColorInterpolator, SoVRMLCoordinateInterpolator, SoVRMLNormalInterpolator, SoVRMLOrientationInterpolator, SoVRMLPositionInterpolator, and SoVRMLScalarInterpolator.

  Public Member Functions
virtual SoType getTypeId (void) const
virtual const SoEngineOutputData * getOutputData (void) const

  Static Public Member Functions
static SoType getClassTypeId (void)
static void initClass (void)

  Public Attributes
SoMFFloat key
SoSFFloat set_fraction

  Protected Member Functions
virtual const SoFieldData * getFieldData (void) const
int getKeyValueIndex (float &interp, int numvalues)

  Static Protected Member Functions
static const SoFieldData ** getFieldDataPtr (void)
static const SoEngineOutputData ** getOutputDataPtr (void)

  Additional Inherited Members

Detailed Description

The SoVRMLInterpolator class is an internal abstract class. This class collects the two fields that are common for all interpolator nodes, plus common code that operates on these fields. Since this is an abstract 'helper' class, it does not represent an actual node from the VRML97 specification, so don't use it as such.

For more information, a detailed discussion of interpolators is available in section 4.6.8 of the VRML97 specification:

http://www.web3d.org/documents/specifications/14772/V2.0/part1/concepts.html#4.6.8

Member Function Documentation

  SoType SoVRMLInterpolator::getClassTypeId (void) [static]
This static method returns the SoType object associated with objects of this class.

  SoType SoVRMLInterpolator::getTypeId (void) const [virtual]
Returns the type identification of an object derived from a class inheriting SoBase. This is used for runtime type checking and 'downward' casting.

Implements SoBase.

Reimplemented in SoVRMLColorInterpolator, SoVRMLCoordinateInterpolator, SoVRMLNormalInterpolator, SoVRMLOrientationInterpolator, SoVRMLPositionInterpolator, and SoVRMLScalarInterpolator.

  const SoFieldData ** SoVRMLInterpolator::getFieldDataPtr (void) [static], [protected]
This API member is considered internal to the library, as it is not likely to be of interest to the application programmer.
 Returns the SoFieldData class which holds information about fields in this node.

  const SoFieldData * SoVRMLInterpolator::getFieldData (void) const [protected], [virtual]
Returns a pointer to the class-wide field data storage object for this instance. If no fields are present, returns NULL.

Reimplemented from SoFieldContainer.

Reimplemented in SoVRMLColorInterpolator, SoVRMLCoordinateInterpolator, SoVRMLNormalInterpolator, SoVRMLOrientationInterpolator, SoVRMLPositionInterpolator, and SoVRMLScalarInterpolator.

  const SoEngineOutputData * SoVRMLInterpolator::getOutputData (void) const [virtual]
This API member is considered internal to the library, as it is not likely to be of interest to the application programmer.

Implements SoNodeEngine.

Reimplemented in SoVRMLColorInterpolator, SoVRMLCoordinateInterpolator, SoVRMLNormalInterpolator, SoVRMLOrientationInterpolator, SoVRMLPositionInterpolator, and SoVRMLScalarInterpolator.

  void SoVRMLInterpolator::initClass (void) [static]

  int SoVRMLInterpolator::getKeyValueIndex (float & interp, int numvalues) [protected]
This API member is considered internal to the library, as it is not likely to be of interest to the application programmer.

Member Data Documentation

  SoMFFloat SoVRMLInterpolator::key
This field contains a set of floating point values which the interpolation will run over. The key values should be monotonically non-decreasing.

The field is inherited from its declaration in the abstract SoVRMLInterpolator class into a range of different VRML interpolator nodes.

See the class documentation of the non-abstract VRML interpolator node you want to use for information on what the key values represent in that specific context.

  SoSFFloat SoVRMLInterpolator::set_fraction
The set_fraction field gets an input signal that triggers a calculation of the next value_changed eventOut value.

The field is inherited from its declaration in the abstract SoVRMLInterpolator class into a range of different VRML interpolator nodes.

Author

Generated automatically by Doxygen for Coin from the source code.